Package it.ernytech.tdlib

## Class TdApi.AddSavedAnimation

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.AddSavedAnimation

Enclosing class:
  TdApi

    public static class TdApi.AddSavedAnimation
    extends TdApi.Function

Manually adds a new animation to the list of saved animations. The new animation is added to the beginning of the list. If the animation was already in the list, it is removed first. Only non-secret video animations with MIME type "video/mp4" can be added to the list.

Returns `Ok`

### Field Summary

Fields
`TdApi.InputFile` `animation` The animation file to be added.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`AddSavedAnimation()` Default constructor.
`AddSavedAnimation​(TdApi.InputFile animation)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### animation

    public TdApi.InputFile animation

The animation file to be added. Only animations known to the server (i.e. successfully sent via a message) can be added to the list.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### AddSavedAnimation

    public AddSavedAnimation()

Default constructor.

#### AddSavedAnimation

    public AddSavedAnimation​(TdApi.InputFile animation)

Constructor for initialization of all fields.

Parameters:
  `animation` - The animation file to be added. Only animations known to the server (i.e. successfully sent via a message) can be added to the list.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR